# Archi Back

Back-end part for the Archi project.

## Installation

First, download this repository and unzip it to the folder of your choice.

You will have to download Python [here](https://www.python.org/downloads) and install it on your computer.

**Note: if the installer asks you to install pip package manager, say yes or check the box.**

Then, use the included scripts to install Archi Back:

- On Windows, launch `setup.bat`.

- On Linux/macOS, open a terminal inside the directory of the project then write

```bash
chmod +x ./setup.sh && ./setup.sh
```

## Configuration

The back-end part send requests to the HuggingFace API.

Follow these steps to connect your account to the back-end:

1. Visit [this page](https://huggingface.co/settings/tokens/new?tokenType=read)
   to create a new token (give it a name).
2. When your token is created, you should see its value. Copy the value in
   `.env` file (replace `hf_XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` with your token,
   make sure to keep `hf_token=` before!)
3. Your back-end should now be linked to your HuggingFace account.

## Usage

First, you should launch the back-end part:

- On Windows, launch `run.bat`.

- On Linux/macOS, open a terminal inside the directory of the project then write

```bash
chmod +x ./run.sh && ./run.sh
```

Then, launch the front-end part with the instructions available
[here](https://gitlab.imt-atlantique.fr/FIL-A3-2024/ue-proj/archi-front).

## Authors

Renaud Birk and Anas Yakoubov

## License

This project is licensed under GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007.
